Skip to main content
POST
/
v1
/
seed-roles
Seed system roles
curl --request POST \
  --url https://api.strait.dev/v1/seed-roles \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "is_system": true,
    "name": "<string>",
    "permissions": [
      "<string>"
    ],
    "project_id": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "$schema": "<string>",
    "description": "<string>",
    "parent_role_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Response

object[] | null

OK

created_at
string<date-time>
required
id
string
required
is_system
boolean
required
name
string
required
permissions
string[] | null
required
project_id
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/ProjectRole.json"

description
string
parent_role_id
string